Name:            xinetd
Epoch:           2
Version:         2.3.15
Release:         31
Summary:         A super-server daemon that manages Internet-based connectivity
License:         xinetd
URL:             https://github.com/openSUSE/xinetd
Source0:         https://ftp.osuosl.org/pub/blfs/conglomeration/xinetd/%{name}-%{version}.tar.gz
Source1:         xinetd.service

Patch0:          xinetd-2.3.15-add-pie.patch
Patch1:          xinetd-2.3.14-bind-ipv6.patch
Patch2:          xinetd-2.3.14-man-section.patch
Patch3:          xinetd-2.3.14-ident-bind.patch
Patch4:          xinetd-2.3.14-readable-debuginfo.patch
Patch5:          xinetd-2.3.14-autoconf.patch
Patch6:          xinetd-2.3.14-poll.patch
Patch7:          xinetd-2.3.14-file-limit.patch
Patch8:          xinetd-2.3.14-tcpmux.patch
Patch9:          xinetd-2.3.14-clean-pfd.patch
Patch10:         xinetd-2.3.14-ipv6confusion.patch
Patch11:         xinetd-2.3.14-udp-reconfig.patch
Patch12:         xinetd-2.3.14-rpc-specific-port.patch
Patch13:         xinetd-2.3.14-signal-log-hang.patch
Patch14:         xinetd-2.3.14-fix-type-punned-ptr.patch
Patch15:         xinetd-2.3.14-leaking-fds.patch
Patch16:         xinetd-2.3.14-many-services.patch
Patch17:         xinetd-2.3.14-realloc-remove.patch
Patch18:         xinetd-2.3.14-leaking-fds-2a.patch
Patch19:         xinetd-2.3.14-instances.patch
Patch20:         xinetd-2.3.14-retry-svc-activate-in-cps-restart.patch
Patch21:         xinetd-2.3.15-bad-port-check.patch
Patch22:         xinetd-2.3.15-context-exepath.patch
Patch23:         xinetd-2.3.15-creds.patch
Patch24:         xinetd-2.3.15-tcpmux-nameinargs-disable-service.patch
Patch25:         xinetd-2.3.15-udp-wait.patch
Patch26:         connection.c-fix-pointer-dereference-before-NULL-che.patch
Patch27:         tcpint.c-fix-memleak.patch
Patch28:         inet.c-avoid-using-pointer-after-free.patch
Patch29:         service.c-avoid-dereferencing-NULL-pointer.patch
Patch30:         sconf.c-fix-possible-memleak.patch
Patch31:         xinetd-remove-deprecation-warning-about-flask.h-usage.patch

BuildRequires:   autoconf automake libtirpc-devel libselinux-devel >= 1.30 systemd-units
Requires:        filesystem >= 2.0.1 setup
Requires(post):  systemd-sysv systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
Provides:        inetd

%description
xinetd is a powerful replacement for inetd.

xinetd has access control mechanisms, extensive logging capabilities,
the ability to make services available based on time, can place
limits on the number of servers that can be started, and has deployable
defence mechanisms to protect against port scanners, among other things.

xinetd listens for incoming requests over a network and launches the
appropriate service for that request. Requests are made using port numbers
as identifiers and xinetd usually launches another daemon to handle the
request. It can be used to start services with both privileged and
non-privileged port numbers.

%package help
Summary: Help package for %{name}, containing some readme, man, etc. files

%description help
This is the help package for %{name} package. It includes some readme, man and other
related files.

%prep
%autosetup -n %{name}-%{version} -p1

%build
aclocal
autoconf
%configure --with-loadavg --with-inet6 --with-labeled-networking
make CFLAGS="$CFLAGS $(pkg-config --cflags libtirpc)" LDFLAGS="$LDFLAGS $(pkg-config --libs libtirpc) -Wl,-z,relro,-z,now"

%install
%make_install DAEMONDIR=%{buildroot}%{_sbindir} MANDIR=%{buildroot}%{_mandir}

mkdir -m 700 -p %{buildroot}%{_sysconfdir}/xinetd.d
install -Dm644 %{SOURCE1} %{buildroot}%{_unitdir}/xinetd.service
install -m600 contrib/xinetd.conf %{buildroot}%{_sysconfdir}
install -m600 contrib/xinetd.d/* %{buildroot}%{_sysconfdir}/xinetd.d

%post
%systemd_post xinetd

%preun
%systemd_preun xinetd

%postun
%systemd_postun_with_restart xinetd

%files
%doc COPYRIGHT
%config(noreplace) %{_sysconfdir}/xinetd.conf
%config(noreplace) %{_sysconfdir}/xinetd.d/*
%{_unitdir}/xinetd.service
%{_sbindir}/xinetd
%exclude %{_sysconfdir}/xinetd.d/ftp-sensor
%exclude %{_sbindir}/itox
%exclude %{_sbindir}/xconv.pl

%files help
%doc CHANGELOG README xinetd/sample.conf contrib/empty.conf
%{_mandir}/*/*
%exclude %{_mandir}/man8/itox*
%exclude %{_mandir}/man8/xconv.pl*

%changelog
* Tue Jun 1 2021 gaihuiying <gaihuiying1@huawei.com> - 2:2.3.15-31
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:change URL

* Mon Sep 21 2020 gaihuiying <gaihuiying1@huawei.com> - 2:2.3.15-30
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix build error

* Tue Dec 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 2:2.3.15-29
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add the systemd-units in requires

* Thu Sep 12 2019 huzhiyu<huzhiyu1@huawei.com> - 2:2.3.15-28
- Package init
